%define upstream_name    String-ToIdentifier-EN
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert Strings to Unicode English Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Lingua::EN::Inflect::Phrase)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(Unicode::UCD)
BuildRequires: perl(base)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Provides bogus Text::Unidecode
BuildConflicts: texinfo

%description
This module provides a utility method, the /to_identifier manpage for
converting an arbitrary string into a readable representation using the
ASCII subset of '\w' for use as an identifier in a computer program. The
intent is to make unique identifier names from which the content of the
original string can be easily inferred by a human just by reading the
identifier.

If you need the full set of '\w' including Unicode, see the subclass the
String::ToIdentifier::EN::Unicode manpage.

Currently, this process is one way only, and will likely remain this way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 533438
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 473029
- update to 0.11

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441738
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 372851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 315843
- update to 0.09

* Wed Sep 26 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 298335
- update to 0.08

* Mon Mar 05 2012 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 218802
- update to 0.07

* Sat Nov 26 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 172231
- update to 0.06

* Wed Nov 09 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 165766
- imported package perl-String-ToIdentifier-EN


* Wed Nov 09 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
